Package net.snowflake.client.core

## Class Constants

- java.lang.Object
- - net.snowflake.client.core.Constants

    public final class Constants
    extends Object

### Nested Class Summary

Nested Classes
`static class` `Constants.OS`

### Field Summary

Fields
`static int` `CLOUD_STORAGE_CREDENTIALS_EXPIRED`
`static long` `GB`
`static int` `ID_TOKEN_INVALID_LOGIN_REQUEST_GS_CODE`
`static int` `MB`
`static String` `NO_SPACE_LEFT_ON_DEVICE_ERR`
`static int` `SESSION_EXPIRED_GS_CODE`
`static int` `SESSION_GONE`

### Constructor Summary

Constructors
`Constants()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `clearOSForTesting()`
`static Constants.OS` `getOS()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### SESSION_EXPIRED_GS_CODE

    public static final int SESSION_EXPIRED_GS_CODE

See Also:
  Constant Field Values

#### CLOUD_STORAGE_CREDENTIALS_EXPIRED

    public static final int CLOUD_STORAGE_CREDENTIALS_EXPIRED

See Also:
  Constant Field Values

#### SESSION_GONE

    public static final int SESSION_GONE

See Also:
  Constant Field Values

#### ID_TOKEN_INVALID_LOGIN_REQUEST_GS_CODE

    public static final int ID_TOKEN_INVALID_LOGIN_REQUEST_GS_CODE

See Also:
  Constant Field Values

#### NO_SPACE_LEFT_ON_DEVICE_ERR

    public static final String NO_SPACE_LEFT_ON_DEVICE_ERR

See Also:
  Constant Field Values

#### MB

    public static final int MB

See Also:
  Constant Field Values

#### GB

    public static final long GB

See Also:
  Constant Field Values

### Constructor Detail

#### Constants

    public Constants()

### Method Detail

#### getOS

    public static Constants.OS getOS()

#### clearOSForTesting

    public static void clearOSForTesting()